Loading...
Searching...
No Matches
QGpgME::MultiDeleteJob Class Reference

A convenience class bundling together multiple DeleteJobs. More...

`#include <multideletejob.h>`

Inheritance diagram for QGpgME::MultiDeleteJob:
[legend]
Collaboration diagram for QGpgME::MultiDeleteJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const GpgME::Key &errorKey)
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

| MultiDeleteJob (const Protocol *protocol)
QGPGME_DEPRECATED GpgME::Error | start (const std::vector< GpgME::Key > &keys, bool allowSecretKeyDeletion=false)
GpgME::Error | start (const std::vector< GpgME::Key > &keys, GpgME::DeletionFlags flags)
void | slotCancel () override
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

A convenience class bundling together multiple DeleteJobs.

To use a MultiDeleteJob, pass it a CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the delete with a call to start(). This call might fail, in which case the MultiDeleteJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the MultiDeleteJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## slotCancel()

void QGpgME::MultiDeleteJob::slotCancel | ( |  | ) |

override virtual

Implements QGpgME::Job.

## start()

GpgME::Error QGpgME::MultiDeleteJob::start | ( | const std::vector< GpgME::Key > & | keys,
|  | bool | allowSecretKeyDeletion = false )

Starts the delete operation. keys is the list of keys to delete, allowSecretKeyDeletion specifies if a key may also be deleted if the secret key part is available, too.

The documentation for this class was generated from the following files:

- multideletejob.h
- multideletejob.cpp